import { Color } from "./engine/datatypes.ts";
import { Stat } from "./datatypes.ts";

export const BG_OUTER = Color.parseHexCode("#143464");
export const BG_WALL_OR_UNREVEALED = Color.parseHexCode("#143464");
export const BG_INSET = Color.parseHexCode("#242234");
export const FG_TEXT = Color.parseHexCode("#c0c0c0");
export const FG_TEXT_DISABLED = Color.parseHexCode("#808080");
export const FG_TOO_EXPENSIVE = Color.parseHexCode("#ff8080");
export const FG_TEXT_ENDORSED = Color.parseHexCode("#80ff80");
export const FG_BOLD = Color.parseHexCode("#ffffff");
export const BG_CEILING = Color.parseHexCode("#143464");
export const FG_MOULDING = FG_TEXT;

// stat colors
export const SWATCH_EXP: [Color, Color] = [
  Color.parseHexCode("#b9bffb"),
  Color.parseHexCode("#e3e6ff"),
];

export const SWATCH_AGI: [Color, Color] = [
  Color.parseHexCode("#df3e23"),
  Color.parseHexCode("#fa6a0a"),
];

export const SWATCH_INT: [Color, Color] = [
  Color.parseHexCode("#285cc4"),
  Color.parseHexCode("#249fde"),
];

export const SWATCH_CHA: [Color, Color] = [
  Color.parseHexCode("#793a80"),
  Color.parseHexCode("#bc4a9b"),
];

export const SWATCH_PSI: [Color, Color] = [
  Color.parseHexCode("#9cdb43"),
  Color.parseHexCode("#d6f264"),
];

export const SWATCH_STAT: Record<Stat, [Color, Color]> = {
  AGI: SWATCH_AGI,
  INT: SWATCH_INT,
  CHA: SWATCH_CHA,
  PSI: SWATCH_PSI,
};
